"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerShellBinding = void 0;
var node_powershell_1 = require("node-powershell");
var DefaultShim_1 = require("../powershell/shim/DefaultShim");
/**
 * default powershell binding class implementation
 */
var PowerShellBinding = /** @class */ (function () {
    function PowerShellBinding(options) {
        if (options === void 0) { options = {}; }
        this._shim = new DefaultShim_1.DefaultShim();
        if (options.instance) {
            this._shell = options.instance;
        }
        else {
            this._shell = new node_powershell_1.PowerShell(options);
        }
    }
    Object.defineProperty(PowerShellBinding.prototype, "shell", {
        get: function () {
            return this._shell;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PowerShellBinding.prototype, "shim", {
        get: function () {
            return this._shim;
        },
        enumerable: false,
        configurable: true
    });
    return PowerShellBinding;
}());
exports.PowerShellBinding = PowerShellBinding;
//# sourceMappingURL=PowerShellBinding.js.map