/**
 * all valid parameter value types for powershell command
 */
export type ParameterValue = string | number | boolean | object;
/**
 * a record of input parameter names and values
 */
export type ParameterRecord = Record<string, ParameterValue>;
/**
 * check if a parameter map only contains values for supported types.
 * if a value is found that is not valid, a error is thrown detailing the offending key and value type.
 *
 * @param parameters the parameters to validate
 */
export declare function assertParametersValid(parameters: Record<string, unknown>): asserts parameters is ParameterRecord;
