/**
 * convert a string to a utf-8 encoded base64 string
 *
 * @param source the source string to encode
 * @returns the base64 encoded string
 */
export declare function base64Encode(source: string): string;
/**
 * convert a utf-8 encoded base64 string to a string
 *
 * @param source the source base64 string to decode
 * @returns the decoded string
 */
export declare function base64Decode(source: string): string;
/**
 * create a new random string.
 * the string will only contain alphanumerical characters ([A-Za-z0-9])
 *
 * @param length the length of the string.
 *               if not even, the length is shortened by one character
 * @returns a random string
 */
export declare function getRandomString(length: number): string;
/**
 * get the parameter names of a function or method
 *
 * @param fn the function to get the parameter names of
 * @returns a array containing the parameter names of the function, in order
 */
export declare function getFunctionParameterNames(fn: Function): string[];
